package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MerLedgerStatusEnum
 * @author: HuRui
 * @date: 2023/4/18
 **/
public enum MerLedgerReceiverStatusEnum {
    status0(0, "删除"),
    status1(1, "正常"),
    status2(2, "不可用"),
    ;

    private Integer number;

    private String name;


    MerLedgerReceiverStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerLedgerReceiverStatusEnum getDataByNumber(Integer number) {
        for (MerLedgerReceiverStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
